      SUBROUTINE INITAL
C...
C...  COMMON AREA WHICH LINKS SUBROUTINE INITAL TO THE INTEGRATOR
      COMMON/T/     T
     1      /Y/     H
     2      /F/  DHDT
     3      /C/     A,    Q0,    CV
C...
C...  SET THE MODEL PARAMETERS
      A=5000.
      Q0=10000.
      CV=500.
C...
C...  MODEL INITIAL CONDITION
      H=100.
      RETURN
      END
      SUBROUTINE DERV
C...
C...  COMMON AREA WHICH LINKS SUBROUTINE DERV TO THE INTEGRATOR
      COMMON/T/     T
     1      /Y/     H
     2      /F/  DHDT
     3      /C/     A,    Q0,    CV
C...
C...  EVALUATION OF THE ODE DERIVATIVE USING H (AND A, Q0 AND CV)
      DHDT=(1.0/A)*(Q0-CV*SQRT(H))
      RETURN
      END
      SUBROUTINE PRINT(NI,NO)
C...
C...  SUBROUTINE PRINT IS AN OUTPUT ROUTINE FOR THE NUMERICAL
C...  SOLUTION
C...
      COMMON/T/     T
     1      /Y/     H
     2      /F/  DHDT
     3      /C/     A,    Q0,    CV
C...
C...  PRINT THE SOLUTION
      WRITE(NO,1)T,H
1     FORMAT(20X,F10.0,F10.1)
      RETURN
      END

